DOMPSVITypeInfo Class Referenceabstract

The `DOMPSVITypeInfo` interface represent the PSVI info used by `DOMElement` or `DOMAttr` nodes, specified in the schemas associated with the document. More...

## Public Types

enum | PSVIProperty { PSVI_Validity, PSVI_Validation_Attempted, PSVI_Type_Definition_Type, PSVI_Type_Definition_Name, PSVI_Type_Definition_Namespace, PSVI_Type_Definition_Anonymous, PSVI_Nil, PSVI_Member_Type_Definition_Name, PSVI_Member_Type_Definition_Namespace, PSVI_Member_Type_Definition_Anonymous, PSVI_Schema_Default, PSVI_Schema_Normalized_Value, PSVI_Schema_Specified }

## Public Member Functions

Destructor
virtual | ~DOMPSVITypeInfo ()
| Destructor. More...
virtual const XMLCh * | getStringProperty (PSVIProperty prop) const =0
| Returns the string value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available. More...
virtual int | getNumericProperty (PSVIProperty prop) const =0
| Returns the numeric value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available. More...

## Protected Member Functions

Hidden constructors
| DOMPSVITypeInfo ()

## Detailed Description

The `DOMPSVITypeInfo` interface represent the PSVI info used by `DOMElement` or `DOMAttr` nodes, specified in the schemas associated with the document.

## Member Enumeration Documentation

## PSVIProperty

enum DOMPSVITypeInfo::PSVIProperty

Enumerator
PSVI_Validity |
PSVI_Validation_Attempted |
PSVI_Type_Definition_Type |
PSVI_Type_Definition_Name |
PSVI_Type_Definition_Namespace |
PSVI_Type_Definition_Anonymous |
PSVI_Nil |
PSVI_Member_Type_Definition_Name |
PSVI_Member_Type_Definition_Namespace |
PSVI_Member_Type_Definition_Anonymous |
PSVI_Schema_Default |
PSVI_Schema_Normalized_Value |
PSVI_Schema_Specified |

## Constructor & Destructor Documentation

## DOMPSVITypeInfo()

DOMPSVITypeInfo::DOMPSVITypeInfo | ( |  | ) |

protected

## ~DOMPSVITypeInfo()

virtual DOMPSVITypeInfo::~DOMPSVITypeInfo | ( |  | ) |

virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## getNumericProperty()

virtual int DOMPSVITypeInfo::getNumericProperty | ( | PSVIProperty | prop | ) | const

pure virtual

Returns the numeric value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available.

Returns
  the numeric value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available.

## getStringProperty()

virtual const XMLCh* DOMPSVITypeInfo::getStringProperty | ( | PSVIProperty | prop | ) | const

pure virtual

Returns the string value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available.

Returns
  the string value of the specified PSVI property associated to a `DOMElement` or `DOMAttr`, or null if not available.

The documentation for this class was generated from the following file:

- DOMPSVITypeInfo.hpp